// ID:编号, NeedScore:所需积分, RewardItem:奖励物品ID, RewardCount:奖励物品数量

export default class M_WeekQuestRewardCFG {
  private static data =
      {"1":{"ID":1,"NeedScore":100,"RewardItem":[1,16,243],"RewardCount":[100000,50,1]}

      ,"2":{"ID":2,"NeedScore":200,"RewardItem":[1,17],"RewardCount":[300000,10]}

      ,"3":{"ID":3,"NeedScore":400,"RewardItem":[1,41,243],"RewardCount":[600000,5,1]}

      ,"4":{"ID":4,"NeedScore":600,"RewardItem":[1,45],"RewardCount":[1000000,15]}

      }// ID:编号, NeedScore:所需积分, RewardItem:奖励物品ID, RewardCount:奖励物品数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}